%global srcname dj_database_url

Name:           python-django-database-url
Version:        0.5.0
Release:    1%{?dist}
Summary:        Use Database URLs in your Django Application
License:        BSD
URL:            https://github.com/kennethreitz/dj-database-url
Source0:        https://github.com/kennethreitz/dj-database-url/archive/v%{version}.tar.gz#/dj-database-url-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%global _description\
This simple Django utility allows you to utilize the 12factor inspired\
DATABASE_URL environment variable to configure your Django application.

%description %_description

%package -n python3-django-database-url
Summary:        %summary
Requires:       python3-django
%{?python_provide:%python_provide python3-django-database-url}

%description -n python3-django-database-url %_description
This simple Django utility allows you to utilize the 12factor inspired
DATABASE_URL environment variable to configure your Django application.

%prep
%autosetup -n dj-database-url-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} test_dj_database_url.py

%files -n python3-django-database-url
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{srcname}.py*
%{python3_sitelib}/__pycache__/%{srcname}.cpython-*.py*
%{python3_sitelib}/%{srcname}-%{version}-py*.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-1
- initial build
